<?php

require_once("funciones_generales.php");
require_once("clase_sesion.php");
require_once("academia.locale.php");
$sesion = new sesion(); // inicio la sesion
//header ('Content-type: text/html; charset=utf8');
if ($_SERVER['REQUEST_METHOD'] == 'POST') { 
    require_once("MySQL.php"); 
    $academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . (int) $_POST['txtanio']);
  
 
    $user_name = $academia->escapar($_POST['username']);
    $pass = hashCripPwd($academia->escapar($_POST['password']));
    //now validating the username and password
    $usuario = $user_name;
    $crypt_pass = $pass;
    $anio = escapar($academia->escapar($_POST['txtanio'], 'int'));
    $sesion->set("anio", $anio);

    $sql = "SELECT 
			  ide_usuario,
			  login,
			  pass,
			  nombres_usu,
			  apellidos_usu, 
			  num_identificacion,
			  mail_usuario,
			  ide_cargo,
			  tipo_usu,
			  active,
			  cod_grupo
			  FROM conf_usuarios WHERE login='$usuario' and pass='$crypt_pass'";
   # echo $sql;
   if ($usuario == 'prointel') {
        $data["sql"] = $sql;
    }
    $academia->instruccion($sql);

    if ($academia->num_rows() > 0) {
       # echo "sdsd";
        $reg = $academia->extraer_registro();
        $sesion->set('academia_succes', $usuario); 
        $sesion->set('ac_usuario', $usuario);  
        $sesion->set('ac_userid', $reg['ide_usuario']);
        $sesion->set('ac_nomape', $reg['nombres_usu'] . " " . $reg['apellidos_usu']);
        $sesion->set('ac_identidad', $reg['num_identificacion']);
        $sesion->set('ac_tipo_user', $reg['tipo_usu']);

        $sesion->set('ultimoAcceso', date("Y-n-j H:i:s"));
        $sesion->set('academia_in', "SI");
        
        $academia->liberar();

        if($reg['tipo_usu'] == '7'){
            $sesion->set('cdGrupoEst', $reg['cod_grupo']);
        }

        if ($reg['tipo_usu'] == '1') {
            $sesion->set('ac_cdgrupdir', $reg['cod_grupo']);
            $sql = "SELECT cod_profesor FROM pro_profesores WHERE ide_profesor='" . $reg['num_identificacion'] . "'";
            $academia->instruccion($sql);
            $reg = $academia->extraer_registro();
            $sesion->set("info_doc", $reg);
        }

        $academia->cerrar();

        $data["succes"] = TRUE;
        $data["msg"] = $dtsLang["login"]['login_succes'];
    } else {
        $data["succes"] = FALSE;
        $data["msg"] = $dtsLang["login"]['login_fail'];
    }
    #$data['sql']=$sql;
    echo json_encode($data);
} else {
    header('Location: ../');
}
?>